<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Cursos
 *
 * @ORM\Table(name="cursos", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_per", columns={"cve_per"}), @ORM\Index(name="cve_pro", columns={"cve_pro"})})
 * @ORM\Entity
 */
class Cursos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_curso", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCurso;

    /**
     * @var string
     *
     * @ORM\Column(name="nombre", type="string", length=300, nullable=false)
     */
    private $nombre;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_lic", type="integer", nullable=false)
     */
    private $cveLic;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_per", type="integer", nullable=false)
     */
    private $cvePer;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_pro", type="integer", nullable=false)
     */
    private $cvePro;



    /**
     * Get ideCurso
     *
     * @return integer
     */
    public function getIdeCurso()
    {
        return $this->ideCurso;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     *
     * @return Cursos
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Set cveLic
     *
     * @param integer $cveLic
     *
     * @return Cursos
     */
    public function setCveLic($cveLic)
    {
        $this->cveLic = $cveLic;

        return $this;
    }

    /**
     * Get cveLic
     *
     * @return integer
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Cursos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cvePer
     *
     * @param integer $cvePer
     *
     * @return Cursos
     */
    public function setCvePer($cvePer)
    {
        $this->cvePer = $cvePer;

        return $this;
    }

    /**
     * Get cvePer
     *
     * @return integer
     */
    public function getCvePer()
    {
        return $this->cvePer;
    }

    /**
     * Set cvePro
     *
     * @param integer $cvePro
     *
     * @return Cursos
     */
    public function setCvePro($cvePro)
    {
        $this->cvePro = $cvePro;

        return $this;
    }

    /**
     * Get cvePro
     *
     * @return integer
     */
    public function getCvePro()
    {
        return $this->cvePro;
    }
}
